commit 9354f84e59440e6a6eade085e964a7374c73509f
Author: Simon Pasquier <pasquier.simon@gmail.com>
Date:   Tue Apr 2 17:04:16 2013 +0200

    "heat stack-create" doesn't return the error message from server
    
    Change-Id: Icef10df6547e5830abb17edf5ed8c622b3b021b5
    Fixes: bug #1163335

commit 8eaba001434d85f4b9125524ebf55aa8288aa12e
Merge: f3a7dde 1f22278
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Apr 1 19:35:37 2013 +0000

    Merge "Always pass username, even for --token-only"

commit f3a7dde3c1b07113c483a6fecef5cc5a978f6573
Merge: 11f24ff bcd0a35
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Apr 1 19:33:10 2013 +0000

    Merge "Display resource metadata as indented json"

commit 11f24ff4253d0acea7b1a7cd810b091be93b5478
Merge: bbf58d1 58b96ef
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Apr 1 19:33:09 2013 +0000

    Merge "Don't use human readable heading labels in tables"

commit bbf58d1a41cf6f676e3522ea1054022c2c4aea35
Merge: 3740ae9 a5d6df0
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Apr 1 17:56:12 2013 +0000

    Merge "Return the body as a string instead of an iterable."

commit bcd0a35ba067091d27e0f21e38e92a1ee61f406f
Author: Steve Baker <sbaker@redhat.com>
Date:   Wed Mar 27 16:07:56 2013 +1300

    Display resource metadata as indented json
    
    displaying as a pretty table wasn't pretty.
    
    Change-Id: Ia25dd7d08b46b6b497f13707430664718f01d1cc
    Fixes: bug #1160689

commit 58b96efe9545d40ba33f85afbcac07995c52abc3
Author: Steve Baker <sbaker@redhat.com>
Date:   Wed Mar 27 15:59:48 2013 +1300

    Don't use human readable heading labels in tables
    
    This is in line with what other OS clients do.
    Fixes: bug #1160689
    
    Change-Id: Icbf053bd93ecdbeeb2ea791c32199225803d09be

commit a5d6df0630f6df4c5881071a4deebc6f2e32af79
Author: Steve Baker <sbaker@redhat.com>
Date:   Wed Mar 27 16:09:18 2013 +1300

    Return the body as a string instead of an iterable.
    
    Heat REST API will never return an application/octet-stream so
    this removes some dead code.
    
    Change-Id: Ia0d35c898ba92924ba82d50f1cfde14b299569e5

commit 1f2227807fb0cad314b00a9dd9a27e5dc21846f6
Author: Steve Baker <sbaker@redhat.com>
Date:   Wed Mar 27 16:12:55 2013 +1300

    Always pass username, even for --token-only
    
    Change-Id: I3cf164a2d6573fe1f8d3e610c859bfa5ad19aaed
    Fixes: bug #1160648

commit 3740ae9fcb1ed4dc39796ceccbf0e7000be71002
Author: Dirk Mueller <dirk@dmllr.de>
Date:   Fri Mar 15 17:41:41 2013 +0100

    Allow for prettytable 0.7.x as well
    
    Relax requirements to >= 0.6, < 0.8, as 0.7.x seems to
    work as well. Lower has been raised to 0.6 to match openstack-common/requirements
    
    Change-Id: Ic8ce818016ae7d9fbfeb1548b612f8d9e8ae7c42

commit 841ded0a5a1c0ed7ef07b7662381d623ded403c4
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Thu Mar 7 15:57:44 2013 +1100

    Remove warlock from pip-requires as it is not used
    
    This is a hangover from copying from glanceclient
    
    Change-Id: Id81035b5432b65e776217f6b3e7e62c4447d4541
    Signed-off-by: Angus Salkeld <asalkeld@redhat.com>

commit b6ff6d2eecdaa6840ecadd8bb30a9de1d3dad92b
Author: Steven Hardy <shardy@redhat.com>
Date:   Mon Mar 4 15:53:15 2013 +0000

    Change --disable-rollback option to --enable-rollback
    
    Due to bug 1131303, the engine default is changing to disable
    rollback by default, so we instead need an option to allow
    users to enable this functionality
    
    fixes bug 1144630
    
    Change-Id: I509e616e20a3e4750ffcefe6e72c52e5f60445bc

commit ec0a708c998656c1500897436cdcf3bb2a42f2b4
Author: Steve Baker <sbaker@redhat.com>
Date:   Wed Feb 27 10:28:30 2013 +1300

    Don't add 'dev' to tag_build
    
    Change-Id: I3b37b4bf29fab29ffcb471b7f9f4707c8d5882fe

commit f1baa757c38c21dfb4f6ac43670257729f958200
Author: Steven Hardy <shardy@redhat.com>
Date:   Mon Feb 18 15:07:21 2013 +0000

    heatclient : Add --disable-rollback option
    
    Adds -D/--disable-rollback option to align with new heat-cfn
    option
    
    Change-Id: I4a997df0b63d19a25f2047710809a80520187f9f
    Signed-off-by: Steven Hardy <shardy@redhat.com>

commit 776f25099e90d31d05e28eb7f6fdc69b63d74478
Author: Steven Hardy <shardy@redhat.com>
Date:   Mon Feb 18 13:54:42 2013 +0000

    heatclient : correct timeout parameter name
    
    The timeout parameter needs to be timeout_mins to match the
    engine API or the parameter will not be recognized by the
    engine.
    
    fixes bug 1129348
    
    Change-Id: I489364a2abed376f35bf2da24915db30c982e61b
    Signed-off-by: Steven Hardy <shardy@redhat.com>

commit 84b7969b72af218f948078eb8ee46a97783f24de
Author: Dirk Mueller <dirk@dmllr.de>
Date:   Mon Feb 11 18:01:27 2013 +0100

    Return the exit code from tox to callers of run_tests.sh
    
    Invoking PIPESTATUS appears to be volatile in my environment,
    after the if condition it is already again 0, even if it was
    non-zero before. Capture the result permanently in a variable
    and use that one consistently.
    
    Also handle the just-pep8 case correctly.
    
    Change-Id: Icca8c00c8d2189da1a133db277c9071c2d6c880b

commit bcaf6c4d9327a221091302fea807860ae538994c
Author: Ian Main <imain@redhat.com>
Date:   Thu Jan 31 15:42:24 2013 -0800

    Add switch to disable token authentication.
    
    This patch allows you to disable token authentication with keystone so
    that the client can be used with other backends in heat.
    
    Change-Id: I4b35df82a782ddbc8532e85a7b9d532b327d010a
    Signed-off-by: Ian Main <imain@redhat.com>

commit 8f268e44cdc8b8a434aa510a1c389793a1ea2872
Author: Angus Salkeld <asalkeld@redhat.com>
Date:   Fri Jan 25 12:03:01 2013 +1100

    Don't log at all if debugging is not turned on
    
    Else the http module prints this out on each command - yuk
    
    "INFO Starting new HTTP connection (1): 127.0.0.1"
    
    Change-Id: I6e8900106051914b7ddc0a216c6a7864f4ea38e0

commit 7f50a72aacd9e48ef682037ab11f372a52cc838a
Author: Steve Baker <sbaker@redhat.com>
Date:   Thu Jan 10 11:07:06 2013 +1300

    Fixes required for packaging
    
    - Add versioninfo to the data_files
    - Excludes for MANIFEST.in
    
    Part of blueprint rpm-package
    Change-Id: Ia629c9e08d070785d8ee0984913e62064e94ebb4

commit 706cbdb57b2ed9cca29f04db0cc3700f7a04f985
Merge: 15be62b bc972b2
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jan 9 20:01:11 2013 +0000

    Merge "Switch to using version.canonical_version_string"

commit 15be62b7f78c70829edd464cb0d209572aa040ce
Merge: b1b5455 712e172
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jan 9 20:00:28 2013 +0000

    Merge "Update to latest oslo-incubator"

commit b1b545581dc7bec76ffb5a23a0c6fac6111e492f
Author: Steve Baker <sbaker@redhat.com>
Date:   Wed Jan 9 10:51:40 2013 +1300

    Relax the required version of prettytable.
    
    Also add httplib2, iso8601.
    
    Fixes bug 1090403
    
    Change-Id: Ibc2bb3391754907dae9a4c705a53634926739b5b

commit bc972b214ee03d2b04ae9fe099e3ad59fd735b4b
Author: Steve Baker <sbaker@redhat.com>
Date:   Fri Jan 4 16:53:10 2013 +1300

    Switch to using version.canonical_version_string
    
    Change-Id: Id095c61325b0d64bc77b742abf72958aeb4cde4d

commit 712e1726adcf30f48df3f855c14c2a5e80657dbe
Author: Steve Baker <sbaker@redhat.com>
Date:   Fri Jan 4 16:58:11 2013 +1300

    Update to latest oslo-incubator
    
    The included changes to version.py are required for
    correctly generating the versioninfo file.
    
    Change-Id: I3534f4de099dc6d7462d896e9b18a8f776ee4daf

commit c7130de0a979c8adb32fd52efd41ae05456d9d55
Author: Steve Baker <sbaker@redhat.com>
Date:   Tue Dec 11 13:48:55 2012 +1300

    Display a better error message on HTTP exception
    
    Instead of just getting the HTTP code, the message from the actual
    exception is printed to the console
    
    Change-Id: I43265e1e01e3e972e444778b3058637c0e1fd441

commit e1ce4162e48c9de2e1b4edee2d66467e6c3793e6
Author: Steve Baker <sbaker@redhat.com>
Date:   Tue Dec 4 13:15:33 2012 +1300

    Fix git repo url
    
    Change-Id: I81e02b80445b4a5a277f94e01478a156e56fd071

commit 85b8a6e7524381a58a6b8610f8133b61825e970a
Merge: 8179af9 03f9f84
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Dec 3 23:26:30 2012 +0000

    Merge "Deprecate commands and add unified cli replacements."

commit 8179af9b50ec2f82a6a28192bf756d2d3d231415
Merge: 400553e 727d07e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Dec 3 23:26:04 2012 +0000

    Merge "remove some glanceisms from the docs"

commit 03f9f84abfa348bed08ee39d4d0ae1bc8ace5355
Author: Steve Baker <sbaker@redhat.com>
Date:   Tue Dec 4 11:47:02 2012 +1300

    Deprecate commands and add unified cli replacements.
    
    This is to bring into line with
    http://wiki.openstack.org/UnifiedCLI/Mapping
    
    Here is the mapping, as displayed by 'heat help'
        create              DEPRECATED! Use stack-create instead
        delete              DEPRECATED! Use stack-delete instead
        describe            DEPRECATED! Use stack-show instead
        event               DEPRECATED! Use event-show instead
        event-list          List events for a stack
        event-show          Describe the event
        gettemplate         DEPRECATED! Use template-show instead
        list                DEPRECATED! Use stack-list instead
        resource            DEPRECATED! Use resource-show instead
        resource-list       Show list of resources belonging to a stack
        resource-metadata   List resource metadata
        resource-show       Describe the resource
        stack-create        Create the stack
        stack-delete        Delete the stack
        stack-list          List the user's stacks
        stack-show          Describe the stack
        stack-update        Update the stack
        template-show       Get the template for the specified stack
        template-validate   Validate a template with parameters
        update              DEPRECATED! Use stack-update instead
        validate            DEPRECATED! Use template-validate instead
        help                Display help about this program or one of its
                            subcommands.
    
    Change-Id: I1a296de2b935be6cc28fcc49ef8ee7ae333abf1a

commit 727d07e667b371bc4a27fe1667c47e907b5d04c4
Author: Steve Baker <sbaker@redhat.com>
Date:   Tue Dec 4 11:46:40 2012 +1300

    remove some glanceisms from the docs
    
    Change-Id: Iee3eb218086d3a9810d7f7e0e92500293b90a1f1

commit 400553ead101c4de2666e7ab5476b35a5932bc61
Author: Steve Baker <sbaker@redhat.com>
Date:   Tue Dec 4 10:54:35 2012 +1300

    add some pypi meta info
    
    Change-Id: I2a7c9e015ac7af35518c2303efcf0c40e9a0f3ee

commit 95a0894a3827f06e946c536704b20249fd52cd95
Author: Jeremy Stanley <fungi@yuggoth.org>
Date:   Sun Dec 2 17:47:28 2012 +0000

    Update .gitreview for org move.
    
    * .gitreview: The python-heatclient project moved from the heat-api
    org to openstack, so this updates the gerrit remote URL accordingly.
    
    Change-Id: I97d8433ceb61cc227ca139ec26f5e30b8daa4052

commit 224eafa18e51853eedb28a3a22fbc87bc9a6f330
Merge: 2347814 3d122cf
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Nov 27 23:35:55 2012 +0000

    Merge "Pass template as a string if it is not JSON."

commit 23478147aa0c29d8c1bf86b76551b2bd6f3e108a
Author: Steve Baker <sbaker@redhat.com>
Date:   Wed Nov 28 11:55:23 2012 +1300

    Support for events list and details
    
    This also replaces resource_id with resource_name in the
    resources API.
    
    Change-Id: Ia5ccec5d94fb8106be2dfe89976db0fceeb73b58

commit 97b24ccb279a4cb554b092589794e6b0902bccca
Author: Steve Baker <sbaker@redhat.com>
Date:   Wed Nov 28 11:57:23 2012 +1300

    Use python-keystoneclient 0.2 series
    
    This is required to not clash with keystone git master
    
    Change-Id: I775e9f1b02d4ae15323db8930b1adeb4b8296970

commit 3d122cfb54343ce717c70d67fc0d4701927bb8ee
Author: Steve Baker <sbaker@redhat.com>
Date:   Mon Nov 26 13:50:38 2012 +1300

    Pass template as a string if it is not JSON.
    
    Test for JSON is whether the first character is '{'
    
    Change-Id: I109d5f12d3874517561631eefac514342761714b

commit 03e5e7e3c19ff6fb306dd97fc9d49d3924406a9a
Author: Steve Baker <sbaker@redhat.com>
Date:   Mon Nov 26 13:45:13 2012 +1300

    Ignore heatclient/versioninfo
    
    Change-Id: I862cbc8e6b37ea90d3e13bfba1e94a20819ccec6

commit f5ffc5f254d58879686b3a48015c6788958b895e
Author: Steve Baker <sbaker@redhat.com>
Date:   Tue Nov 20 11:24:02 2012 +1300

    Implement client resource support.
    
    CLI now supports commands:
    resource-list
    resource
    resource-metadata
    
    Change-Id: I6c366279456f35e40928fc8f3654ab63ae0af6ca

commit cfb2205a965c610abafe39ced35584be42e22717
Author: Dan Radez <dradez@redhat.com>
Date:   Tue Nov 13 18:24:12 2012 -0500

    adding test coverage for common/http, improving the redirect handling

commit 116e1afd36585b72dcfef7ff8e9298eb2a24b169
Merge: b5aba71 c14e082
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Nov 13 19:53:20 2012 +0000

    Merge "Support name or id for stack operations."

commit b5aba716477be8083d94629cb3e759120f1afa25
Merge: 2122bd1 c1dbaa9
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Nov 13 19:49:09 2012 +0000

    Merge "Pass username and password as well as token."

commit c14e082d785d35a702e96249773e1c5ca74d28fd
Author: Steve Baker <sbaker@redhat.com>
Date:   Tue Nov 13 14:07:15 2012 +1300

    Support name or id for stack operations.
    
    Includes the followig changes:
    - move format_parameters to common/utils.py
    - Separate columns for ID and Name in list pretty print table
    - Accept ID or Name for all operations
    - Fix from radaz to correctly respond to redirects
    
    Change-Id: Ie2d7c03f682d43454cb1348188fa56ad001e1bb1

commit c1dbaa986dfaed0d0b98e047632dceb98563d2f0
Author: Steve Baker <sbaker@redhat.com>
Date:   Wed Nov 7 16:21:23 2012 +1300

    Pass username and password as well as token.
    
    This matches the behaviour of heat-cfn.
    One day Heat will support doing all operations with only a token. Today is not that day.
    Also add a --token-only option to suppress sending username/password.
    
    Change-Id: Ib439d770e90d381ffc83babf7fca85c9f1e32e64

commit 2122bd1753f7913464133d0e2ed4ba6f0c53bb61
Author: Monty Taylor <mordred@inaugust.com>
Date:   Tue Oct 30 12:08:34 2012 +0100

    Add .gitreview file.

commit 0d4f3565a89a042154bb8fdf9a85c7acea036f29
Author: Steve Baker <sbaker@redhat.com>
Date:   Sat Oct 27 06:53:56 2012 +1300

    pep8 and more tests

commit 6499a9a834efe5a9f5b0d3f286039bc182cb2f22
Author: Steve Baker <sbaker@redhat.com>
Date:   Fri Oct 26 13:20:54 2012 +1300

    - Comment out commands that don't yet have a REST API equivalent
    - Use Name/ID when specifying a stack

commit 7021e3055a97bccff6062d92b539a782d7dc3561
Author: Steve Baker <sbaker@redhat.com>
Date:   Thu Oct 25 16:47:39 2012 +1300

    Feature parity with REST API
    - Give a nice message for 404 for non-existent stack id
    - implement delete, gettemplate, validate
    - run do_list after create, delete
    - don't encode the json template as a json string

commit 801616330fcdc861be56c4c68a864dedf92fd919
Author: Steve Baker <sbaker@redhat.com>
Date:   Thu Oct 25 16:44:07 2012 +1300

    set up default logging even when not debugging

commit 73f153570be786ab7d9bff9bac7c28614e8d7509
Author: Steve Baker <sbaker@redhat.com>
Date:   Thu Oct 25 16:43:49 2012 +1300

    Allow sort column to be specified

commit 74a66ca04e382a21259aa2c397c1f7d1f99abfb0
Author: Steve Baker <sbaker@redhat.com>
Date:   Thu Oct 25 16:43:32 2012 +1300

    An error response shouldn't be logged as an error, since it is part of the REST API

commit 2462f281ab1def1d2492d5216dd887e9a6e781a1
Author: Steve Baker <sbaker@redhat.com>
Date:   Thu Oct 25 13:33:16 2012 +1300

    Implement describe, and format the results

commit 2a15eda5929fa2f43d4e8d23005c542788ce7a08
Author: Steve Baker <sbaker@redhat.com>
Date:   Thu Oct 25 13:32:52 2012 +1300

    Allow pretty_dict to take optional formatters

commit fe8fa481c6787e800ba107e4ba400ebc736a35ec
Author: Steve Baker <sbaker@redhat.com>
Date:   Tue Oct 23 16:52:23 2012 +1300

    Shell unit tests, remove unused code, display real results from REST API

commit 5ad7e90817f2d386eae705e6e6d157e3479f532e
Author: Steve Baker <sbaker@redhat.com>
Date:   Tue Oct 23 16:50:30 2012 +1300

    Allow labels to be specified separately from field keys

commit a66f891e1ece389ab5dab4abe63f52ce4661f346
Author: Steve Baker <sbaker@redhat.com>
Date:   Fri Oct 19 06:16:36 2012 +1000

    resolve test template file path no matter where it is run from

commit 675b8a4f71daba780efdaf6c800fb2cbc1b0ec1b
Author: Steve Baker <sbaker@redhat.com>
Date:   Thu Oct 18 13:50:22 2012 +1000

    Some slightly more realistic mock responses.
    Regexp asserts to check pretty print is printing something

commit 231cfc4fbff2fe0f34be81fa892e742f2e9f2700
Author: Steve Baker <sbaker@redhat.com>
Date:   Thu Oct 18 13:46:05 2012 +1000

    pass the dict to print_dict

commit b6debe5cb0621220bfedf94b28acc13c90151406
Author: Steve Baker <sbaker@redhat.com>
Date:   Thu Oct 18 11:56:24 2012 +1000

    Properly configure debug logging

commit 317757c1646635de29b622f422432c1fc74dc6fb
Author: Steve Baker <sbaker@redhat.com>
Date:   Tue Oct 16 06:51:23 2012 +1000

    Mock at the json request level instead of the http connection level. Test create.

commit b03183ce3fa1e7d0c505179e7cc7972b677ff36c
Author: Steve Baker <sbaker@redhat.com>
Date:   Fri Oct 12 16:54:06 2012 +1300

    setup tweaks

commit 3c9c859e817695d3833c522ef4fcb386f70ebe60
Author: Steve Baker <sbaker@redhat.com>
Date:   Fri Oct 12 16:50:43 2012 +1300

    Get fakes and mox working so that any http request/response sequence can be
    test scripted

commit 70619f8945b48dcd2ef9c115e1f1aa9a8ee32f15
Author: Steve Baker <sbaker@redhat.com>
Date:   Fri Oct 12 16:49:41 2012 +1300

    pyc files should not have been committed

commit 4ba8e466314d18717de63980ac05b5d000e8ef19
Author: Steve Baker <sbaker@redhat.com>
Date:   Thu Oct 11 13:09:56 2012 +1300

    Format parameters for create call

commit 622719c144c0b64a5de6854af3f8b593e7d180f1
Author: Steve Baker <sbaker@redhat.com>
Date:   Wed Oct 10 12:53:05 2012 +1300

    add some more non-functioning skeleton code

commit afff6d66d85c30c291bfc85c91e3b69fafbb706e
Author: Steve Baker <sbaker@redhat.com>
Date:   Wed Oct 10 12:52:35 2012 +1300

    fix readme path

commit 7cbfd721d527de8f09a7795ae64461ed0aeb7469
Author: Steve Baker <sbaker@redhat.com>
Date:   Wed Oct 10 10:49:45 2012 +1300

    Swap readme files

commit 00cdfcb868686828ece8fe2e54d494d970e4d546
Merge: dddbbd9 3e82cb6
Author: Steve Baker <sbaker@redhat.com>
Date:   Wed Oct 10 10:47:54 2012 +1300

    Merge branch 'master' of https://github.com/steveb/python-heatclient

commit dddbbd95ea588f11c2753be48111594758d48a4f
Author: Steve Baker <sbaker@redhat.com>
Date:   Wed Oct 10 10:46:53 2012 +1300

    Define CLI commands and arguments for entire API.
    
    Should match the legacy client except for how resource id is specified for resource
    subcommand

commit 69d70c4426f2ea0e3b6edac824886f261d984717
Author: Steve Baker <sbaker@redhat.com>
Date:   Wed Oct 10 10:45:56 2012 +1300

    initial version

commit 1269bb20c770ca9869f54da9e1db9af7173b9809
Author: Steve Baker <sbaker@redhat.com>
Date:   Wed Oct 10 08:55:03 2012 +1300

    Initial import

commit 3e82cb6bbc39ff48e73bb55a0f00e8ef72599dd0
Author: Steven Dake <sdake@redhat.com>
Date:   Mon Oct 8 17:37:58 2012 -0700

    first commit
